<?php

namespace Drupal\syncart\Plugin\Block;

use Drupal\Core\Block\BlockBase;

/**
 * Provides a 'Cart' Block.
 *
 * @Block(
 *   id = "small_cart_block",
 *   admin_label = @Translation("Small cart block"),
 *   category = @Translation("Small cart block"),
 * )
 */
class CartBlock extends BlockBase {

  /**
   * {@inheritdoc}
   */
  public function build() {
    $config = \Drupal::config('syncart.settings');
    // Synlanding config.
    $synlanding_config = \Drupal::config('synlanding.settings');
    $syncart = \Drupal::service('module_handler')->getModule('syncart')->getPath();
    $synlanding = \Drupal::service('module_handler')->getModule('synlanding')->getPath();
    if ($synlanding_config->get('design')) {
      $design = $synlanding_config->get('design');
    }
    return [
      '#theme' => 'syncart-cart-small',
      '#data' => [
        'design' => $design,
        'syncart' => $syncart,
        'synlanding' => $synlanding,
        'cart' => [],
        'allowFavorite' => \Drupal::service('module_handler')->moduleExists('flag'),
      ],
    ];
  }

}
